<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CodingContract](./bitburner.codingcontract.md) &gt; [getDescription](./bitburner.codingcontract.getdescription.md)

## CodingContract.getDescription() method

Get the description.

**Signature:**

```typescript
getDescription(filename: string, host?: string): string;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  filename | string | Filename of the contract. |
|  host | string | _(Optional)_ Hostname of the server containing the contract. Optional. Defaults to current server if not provided. |

**Returns:**

string

Contract’s text description.

## Remarks

RAM cost: 5 GB

Get the full text description for the problem posed by the Coding Contract.

